#include <tinyNeoPixel.h>

#define F_CPU 20000000
#define PIN 0

tinyNeoPixel strip = tinyNeoPixel(5, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  strip.begin();
  strip.show(); 
  Serial.begin(115200);
}

void loop() {
   char str[32];
   char* pch;
   int LEDNum, red, green, blue;
  
   
   if (Serial.available()) {
     int availableBytes = Serial.available();
     for (int i = 0; i < availableBytes; i++) {
       str[i] = Serial.read();
     }
     pch = strtok(str, ":");
     LEDNum = atoi(pch);
     pch = strtok(NULL, ":");
     red = atoi(pch);
     pch = strtok(NULL, ":");
     green = atoi(pch);
     pch = strtok(NULL, ":");
     blue = atoi(pch);
     if (LEDNum == 100) {
      strip.clear();
     }
     else {
     strip.setPixelColor(LEDNum, strip.Color(red,green,blue));
     }
     strip.show();
   }
   
   delay(100);
   
  
   
   
}
